Class Specialization
SorterConfig
Configuration of Sorter.

Pool

SorterSpec

SorterConfig

SorterConfig<TCompare, TFile>
Include Headers
seqan/pipe.h
Parameters

TCompare | The compare function (see STL's binary_function). Remarks: Let comp be an object of type TCompare. comp(a,b) should return a value less, equal, or greater than 0 if a<b, a==b, or a>b.
TFile | The underlying File type. Default: File<>, see File.

Remarks
Using this configuration spec., the Sorter's size type is Size<TFile>::Type. To use a custom size type SorterConfigSize should be used.
Specialization of
SorterSpec
Functions

assign | Assigns one object to another object. (Pool)
assign | Assigns one object to another object. (Pool)
atEnd | Determines whether an iterator is at the end position. (Pool)
beginRead | Initiates a read process. (Pool)
beginWrite | Initiates a write process. (Pool)
clear | Resets an object. (Pool)
endRead | Terminates a read process. (Pool)
endWrite | Terminates a write process. (Pool)
front | Gets the first element of the remaining stream. (Pool)
length | The number of items/characters. (Pool)
pop | Pops the first element of the remaining stream. (Pool)
push | Appends an item at the end of an input stream. (Pool)
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value. (Pool)

See Also
SorterConfigSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52